Package com.google.android.exoplayer2.offline

## Interface DownloaderFactory

- All Known Implementing Classes:
    `DefaultDownloaderFactory`

      public interface DownloaderFactory

  Creates `Downloaders` for given `DownloadRequests`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Downloader` | `createDownloader​(DownloadRequest action)` | Creates a `Downloader` to perform the given `DownloadRequest`.

- - ### Method Detail

    - #### createDownloader

          Downloader createDownloader​(DownloadRequest action)

      Creates a `Downloader` to perform the given `DownloadRequest`.
      Parameters:
        `action` - The action.
      Returns:
        The downloader.